### Class

# Phosh WifiManager

#### Description [src]

    final class Phosh.WifiManager : GObject.Object
    {
      /* No available fields */
    }

Tracks the Wi-Fi status and handle Wi-Fi credentials entry

Manages Wi-Fi information and state

The code to create hotspot connection are based on GNOME Control Center’s and NMCLI’s code for the same.

#### Ancestors

- GObject

#### Constructors

###### phosh_wifi_manager_new

No description available.

#### Instance methods

###### phosh_wifi_manager_connect_network

No description available.

###### phosh_wifi_manager_get_enabled

No description available.

###### phosh_wifi_manager_get_icon_name

No description available.

###### phosh_wifi_manager_get_networks

Get the list store of known Wi-Fi networks.

###### phosh_wifi_manager_get_present

No description available.

###### phosh_wifi_manager_get_ssid

No description available.

###### phosh_wifi_manager_get_state

No description available.

###### phosh_wifi_manager_get_strength

No description available.

###### phosh_wifi_manager_is_hotspot_master

Whether we’re currently a hotspot master.

###### phosh_wifi_manager_request_scan

No description available.

###### phosh_wifi_manager_set_enabled

No description available.

###### phosh_wifi_manager_set_hotspot_master

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.WifiManager:enabled

Whether Wi-Fi is enabled and a Wi-Fi device is available.

###### Phosh.WifiManager:icon-name

The Wi-Fi icon name.

###### Phosh.WifiManager:is-hotspot-master

No description available.

###### Phosh.WifiManager:networks

List of Wi-Fi networks.

###### Phosh.WifiManager:present

Whether Wi-Fi hardware is present.

###### Phosh.WifiManager:ssid

The Wi-Fi ssid, if connected.

###### Phosh.WifiManager:state

State of the active connection.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshWifiManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.